Skip to main content
Anchor to CompanyLocationConnection

CompanyLocationConnection

connection

An auto-generated type for paginating through multiple CompanyLocations.

Anchor to Fields with this connectionFields with this connection

•OBJECT

A business entity that purchases from the shop as part of B2B commerce. Companies organize multiple locations and contacts who can place orders on behalf of the organization. CompanyLocation objects can have custom pricing through Catalog and PriceList configurations.

•OBJECT

A list of products with publishing and pricing information associated with company locations.

Company location catalogs can include an optional publication to control product visibility and a price list to customize pricing. When a publication isn't associated with the catalog, product availability is determined by the sales channel.

•OBJECT

A condition checking the company location a visitor is purchasing for.


Was this section helpful?

Anchor to Queries with this connectionQueries with this connection

•query

A paginated list of CompanyLocation objects for B2B customers. Company locations represent individual branches or offices of a Company where B2B orders can be placed.

Each location can have its own billing and shipping addresses, tax settings, PaymentTerms, and Catalog assignments with custom pricing. Use the query parameter to search locations by name or other attributes.

Learn more about managing company locations.

Arguments

•String

The elements that come after the specified cursor.

•String

The elements that come before the specified cursor.

•Int

The first n elements from the paginated list.

•Int

The last n elements from the paginated list.

•String

A filter made up of terms, connectives, modifiers, and comparators.

nametypedescriptionacceptable_valuesdefault_valueexample_use
defaultstringFilter by a case-insensitive search of multiple fields
in a document.- query=Bob Norman
- query=title:green hoodie
company_idid
created_attime
external_idstring
ididFilter by id range.- id:1234
- id:>=1234
- id:<=1234
idsstring
metafields.{namespace}.{key}mixedFilters resources by metafield
value. Format: metafields.{namespace}.{key}:{value}. Learn more about
querying by metafield value.
- metafields.custom.on_sale:true
-
metafields.product.material:"gid://shopify/Metaobject/43458085"
namestring
updated_attime
You can apply one or more filters to a query. Learn more about [Shopify API
search syntax](https://shopify.dev/api/usage/search-syntax).
•Boolean
Default:false

Reverse the order of the underlying list.

•CompanyLocationSortKeys
Default:ID

Sort the underlying list by the given key.



Was this section helpful?

•[CompanyLocationEdge!]!
non-null

The connection between the node and its parent. Each edge contains a minimum of the edge's cursor and the node.

•[CompanyLocation!]!
non-null

A list of nodes that are contained in CompanyLocationEdge. You can fetch data about an individual node, or you can follow the edges to fetch data about a collection of related nodes. At each node, you specify the fields that you want to retrieve.

•PageInfo!
non-null

An object that’s used to retrieve cursor information about the current page.


Was this section helpful?